#!/bin/sh

function decompyle () {
    VERSION=$1
    PYTHON=python$VERSION
    TARGET=/tmp/py-dis/python-lib$VERSION
    PYLIB=`$PYTHON -c 'import sys; print sys.prefix'`/lib/python$VERSION

    if [ ! -d $TARGET ] ; then
	mkdir -p $TARGET
    else
	rm -r $TARGET
    fi

    find $PYLIB -type f -name \*.pyc | \
	grep -v '/test/re_tests\.pyc$' | \
	sort | \
	xargs $PYTHON ./decompyle --verify -o $TARGET
}

# python 1.5:

# test/re_tests		memory error
# test/test_b1		memory error

# Verification notes:
# - xdrlib fails verification due the same lambda used twice
#   (verification is successfull when using original .pyo as
#   input)
#

for VERSION in 1.5 2.0 ; do
    if [ `which python$VERSION` ] ; then
        decompyle $VERSION
     fi
done
